classification
Title: IDLE/Win Installer: drop -n switch for 2.7/3.1; install 3.1 as idle3
Type: behavior Stage:
Components: IDLE, Windows Versions: Python 3.1, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, gpolo, kbk, loewis, taleinat, weeble
Priority: release blocker Keywords:

Created on 2009-04-26 03:08 by kbk, last changed 2009-05-06 20:29 by benjamin.peterson. This issue is now closed.

Messages (4)
msg86596 - (view) Author: Kurt B. Kaiser (kbk) * (Python committer) Date: 2009-04-26 03:08
1. On 2.7/3.1 multiple copies of IDLE can be 
run 
simultaneously, so the -n switch used in the 
Windows Start menu shortcut with "Edit with 
IDLE" should be eliminated.

2. On 3.1, the idle script has been renamed 
idle3.

This may interact with the Win installer 
shortcut 
configuration.

These changes shouldn't be backported to 26-maint
or 30-maint.

I'd offer a patch, but, though I see suspects, 
I'm not sure exactly where this lives.
msg87246 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2009-05-05 16:15
The -n switch is now removed in r72335, r72336.
msg87248 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2009-05-05 16:23
I'm not sure what the necessary action is on the idle script. It's not
used on Windows; it isn't even installed. So unassigning myself.
msg87345 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2009-05-06 20:29
Closing since this problem seems to be fixed.
History
Date User Action Args
2011-12-21 06:58:21ned.deilylinkissue6321 superseder
2011-12-21 06:57:35ned.deilylinkissue4691 superseder
2009-05-06 20:29:54benjamin.petersonsetstatus: open -> closed
resolution: fixed
messages: + msg87345
2009-05-05 16:23:52loewissetassignee: loewis ->
messages: + msg87248
2009-05-05 16:15:36loewissetmessages: + msg87246
2009-04-26 03:08:24kbkcreate